/*
 * icmp.h
 *
 * Copyright 2004, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#ifndef icmp_h
#define icmp_h


#include<types.h>
#include<net/net.h>
#include<net/netlib.h>
#include<sys/icmp.h>


#ifndef ASM_FILE


extern int receiveIcmp(IP_HEADER*);
extern void releaseSockIcmp(SOCKET*);
extern int initIcmp();


#endif


#endif
